/* Microsoft SQL Server - Scripting			*/
/* Server: PIGLET					*/
/* Database: GlobalExamples					*/
/* Creation Date 04/28/98 2:55:28 PM 			*/

/****** Object:  Stored Procedure dbo.usp_NameAndState    Script Date: 04/28/98 2:55:30 PM ******/
if exists (select * from sysobjects where id = object_id('dbo.usp_NameAndState') and sysstat & 0xf = 4)
	drop procedure dbo.usp_NameAndState
GO

/****** Object:  Stored Procedure dbo.usp_NamesByState    Script Date: 04/28/98 2:55:30 PM ******/
if exists (select * from sysobjects where id = object_id('dbo.usp_NamesByState') and sysstat & 0xf = 4)
	drop procedure dbo.usp_NamesByState
GO

/****** Object:  Table dbo.Contact    Script Date: 04/28/98 2:55:30 PM ******/
if exists (select * from sysobjects where id = object_id('dbo.Contact') and sysstat & 0xf = 3)
	drop table dbo.Contact
GO

/****** Object:  Table dbo.Contact    Script Date: 04/28/98 2:55:30 PM ******/
CREATE TABLE dbo.Contact (
	ContactID int IDENTITY (1, 1) NOT NULL ,
	Name varchar (255) NULL ,
	Address varchar (255) NULL ,
	Town varchar (255) NULL ,
	State varchar (255) NULL ,
	ZipCode varchar (50) NULL ,
	Phone varchar (255) NULL ,
	IsDefaultRecord tinyint NULL 
)
GO

/****** Object:  Stored Procedure dbo.usp_NameAndState    Script Date: 04/28/98 2:55:31 PM ******/
CREATE PROCEDURE usp_NameAndState
AS
	SELECT	Name, State
	FROM	Contact
	ORDER BY State
GO

/****** Object:  Stored Procedure dbo.usp_NamesByState    Script Date: 04/28/98 2:55:31 PM ******/
CREATE PROCEDURE usp_NamesByState
	@State char(2)
AS
	SELECT	Name, Address, Town, 
		State, ZipCode, Phone
	FROM	Contact
	WHERE	State = @State
	ORDER BY Name
GO


/****** Data Insert *******/
INSERT INTO Contact (Name, Address, Town, State, ZipCode, Phone)
	VALUES ("Aardvark Limited", "All Saints Street", "Athens", "OH", "39812", "216-376-1298")
INSERT INTO Contact (Name, Address, Town, State, ZipCode, Phone)
	VALUES ("Burger Queen", "Constants Avenue", "Houston", "TX", "30517", "713-771-6727")
INSERT INTO Contact (Name, Address, Town, State, ZipCode, Phone)
	VALUES ("Education Dept.", "The Offices, City Square", "Chicago", "IL", "10745", "312-712-8567")
INSERT INTO Contact (Name, Address, Town, State, ZipCode, Phone)
	VALUES ("Cummings Intl.", "124th Street West", "Pittsburgh", "PA", "17265", "412-455-6104")
INSERT INTO Contact (Name, Address, Town, State, ZipCode, Phone)
	VALUES ("J.R.Higgins", "The Market", "Green Bay", "WI", "61733", "414-831-8812")
INSERT INTO Contact (Name, Address, Town, State, ZipCode, Phone)
	VALUES ("James Builders", "2131 New Street", "Phoenix", "AZ", "78034", "602-281-3318")
INSERT INTO Contact (Name, Address, Town, State, ZipCode, Phone)
	VALUES ("Jonahs Boats", "The Quay", "Stocksville", "FL", "16734", "305-711-8855")
INSERT INTO Contact (Name, Address, Town, State, ZipCode, Phone)
	VALUES ("Le Bistro", "Rue Francais", "Vancouver", "WA", "41322", "142-343-3553")
INSERT INTO Contact (Name, Address, Town, State, ZipCode, Phone)
	VALUES ("Major Records", "Third Avenue", "Stocksville", "FL", "10015", "305-711-7851")
INSERT INTO Contact (Name, Address, Town, State, ZipCode, Phone)
	VALUES ("Martha's Bar", "Top Street", "Clarksville", "NY", "54876", "305-922-5555")
INSERT INTO Contact (Name, Address, Town, State, ZipCode, Phone)
	VALUES ("Miracle Supplies", "18th Avenue", "Oakland", "CA", "10593", "415-671-6633")
INSERT INTO Contact (Name, Address, Town, State, ZipCode, Phone)
	VALUES ("Pedro Mana", "Calle Sebastione", "St. Paul", "MN", "65109", "612-401-1350")
INSERT INTO Contact (Name, Address, Town, State, ZipCode, Phone)
	VALUES ("Union Records", "712 Main Street", "Tampa", "FL", "51267", "813-167-3520")
